# příklonky
from rules import Rules


clitics = Rules(
    '(CLITICS) → (AUXILIAR dep=auxiliar)?'
    '            (REFLEXIVE dep=reflexive-object)?'
    '            (INDIRECT_OBJ_PRONOUN dep=indirect-object)?'
    '            (DIRECT_OBJ_PRONOUN dep=direct-object)?'
    '            (PREP_PRONOUN dep=prep-object)?',

    '(AUXILIAR k g n m) → (word="jsem|jsi|jsme|jste|bych|bys|by|bychom|bysme|'
    'byste" k g n m)',

    '(REFLEXIVE c x y z) → (word="se|si|ses|sis" c x y z)',  # se(s) k3xPyFc4zS
    '(INDIRECT_OBJ_PRONOUN g n) → (word="mi|ti|mu|jí|nám|vám|jim" g n)',
    '(DIRECT_OBJ_PRONOUN g n) → (word="mě|tě|ji|ho|nás|vás|to" g n)',

    # na to
    '(PREP_PRONOUN g n c) → (k=7 c) (lemma="to|on" g n c)',
    # tím/ním
    '(PREP_PRONOUN g n c=7) → (lemma="to|on" g n c=7)',
)

rules = clitics
