# „koordinace“ – souřadná spojení vět (a asi sem dám i větné členy)
# souřadicí spojka je x=C, podřadicí x=S
from rules import Rules

# TODO: nepredikovat pravidla, která nelze „upnout“ na terminály
coordinators = Rules(
    # souřadicí spojky a spojovací výrazy
    '(COORD coord_type=conjunctive) → (word=a)',

    # důsledkové spojky a spojovací výrazy (důsledek je i “effect”)
    '(COORD coord_type=consequential) → (OPT_COMMA) (word=proto)',
)

# TODO: Protože usnul, znovu se neprobudil. (první je vedlejší, ne?)

coordinations = Rules(
    '(CLAUSE coord_type) → (CLAUSE) (COORD coord_type) (CLAUSE)',
    '(CLAUSE coord_type=unknown) → (CLAUSE) (k=8 word="[^a].*") (CLAUSE)',
    '(CLAUSE) → (CLAUSE) (COMMA) (CLAUSE)',

    # pejsek a kočička
    '(NP c) → (NP c) (k=8 x=C) (NP c)',
    '(NP c) → (NP c) (COMMA) (NP c) (k=8 x=C) (NP c)',

    # pejsek s kočičkou (zatím zbytečné, budu mít NP+PP, ale pak by bylo fajn
    # mít (NP coord=hypo) s nějakou sémantikou – ale není to spíš úkol až pro
    # následnou sémantickou analýzu?)
    # '(NP) → (NP) (word=s) (NP c=7)',

    # Chtěl jsem [lyžovat nebo bruslit].
    '(INFINITIVE) → (k=5 m=F) (CLITICS) (CONSTITUENTS)',

    '(DEP_CLAUSE) → (DEP_CLAUSE) (word=[a,]) (ANOTHER_DEP_CLAUSE)',
)

rules = coordinations
